# -*- encoding: utf-8 -*-
##############################################################################
#
#    Copyright (C) 2011 Gábor Dukai <gdukai@gmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
{
    "name" : "Stock wave and batch picking",
    "version" : "1.0",
    "author" : "Gábor Dukai",
    "description" : """
    Combine several stock pickings into a wave. In a wave stock moves are
    grouped by product and wave pickings are created from the reordered moves.
    Wave pickings are designed to fit on a printed page. Every wave picking
    can be entered into the ERP individually when done.

    A sorting list is available for the batch picked orders
    if there is a separate sorting step after picking.

    Compatibility: tested with OpenERP v5.0
    """,
    "website" : "http://exploringopenerp.blogspot.com",
    "license" : "GPL-3",
    "depends" : [
        "stock",
        "product_sorted_by_category",
    ],
    "category" : "Generic Modules/Inventory Control",
    "init_xml" : [],
    "demo_xml" : [],
    "update_xml" : [
        "wave_sequence.xml",
        "wave_wizard.xml",
        "wave_view.xml",
        "wave_report.xml",
        "wizard/create_wave_view.xml",
        "stock_view.xml",
        "security/ir.model.access.csv",
    ],
    'installable': True,
    'active': False,
}