# -*- encoding: utf-8 -*-
##############################################################################
#
#    Copyright (C) 2011 Gábor Dukai <gdukai@gmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from operator import itemgetter

from report import report_sxw

class picking(report_sxw.rml_parse):
    def __init__(self, cr, uid, name, context):
        super(picking, self).__init__(cr, uid, name, context=context)
        self.localcontext.update({
            'get_lines': self._get_lines,
        })

    def _get_lines(self, wpick_id):
        cr = self.cr
        uid = self.uid
        uom_obj = self.pool.get('product.uom')
        wpick = self.pool.get('stock.wave.picking').browse(cr, uid,
            wpick_id, self.localcontext)
        res = []
        for line in wpick.line_ids:
            for move in line.move_ids:
                res.append({
                    'product': line.product_id,
                    'uom': line.uom_id,
                    'move': move,
                    'move_qty': uom_obj._compute_qty_obj(cr, uid,
                        move.product_uom, move.product_qty, line.uom_id),
                    'picking':
                        move.picking_id.name[0] + move.picking_id.name[-3:],
                })
        res.sort(key=itemgetter('picking'))
        return res

report_sxw.report_sxw('report.stock.sorting.list', 'stock.wave.picking',
    'addons/stock_wave_picking/report/sorting_list.rml', parser=picking)